For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
      • POSTCreate IP Allowlist Entry
      • DELDelete IP Allowlist Entry
      • GETGet IP Allowlist
      • PATCHUpdate IP Allowlist Configuration
      • PATCHUpdate IP Allowlist Entry Description
Sign inTry it free
LogoLogo
REST API overviewIP Allowlist Beta

Get IP Allowlist

GET
/api/v2/account/ip-allowlist
GET
/api/v2/account/ip-allowlist
$curl https://app.launchdarkly.com/api/v2/account/ip-allowlist \
> -H "Authorization: <apiKey>"
1{
2 "sessionAllowlistEnabled": true,
3 "apiTokenAllowlistEnabled": false,
4 "entries": [
5 {
6 "_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
7 "ipAddress": "203.0.113.0/24",
8 "_createdAt": 0,
9 "_updatedAt": 6,
10 "description": "Office network",
11 "_createdByMemberId": "507f1f77bcf86cd799439011"
12 },
13 {
14 "_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
15 "ipAddress": "203.0.113.0/24",
16 "_createdAt": 0,
17 "_updatedAt": 6,
18 "description": "Office network",
19 "_createdByMemberId": "507f1f77bcf86cd799439011"
20 }
21 ]
22}
Get the current IP allowlist configuration and entries.
Was this page helpful?
Previous

Update IP Allowlist Configuration

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Response

IP allowlist configuration and entries
sessionAllowlistEnabledboolean
apiTokenAllowlistEnabledboolean
entrieslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error